Bug 156440 - touchpad mouse no longer functioning correctly
touchpad mouse no longer functioning correctly
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-30 03:32 EDT by Conor
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:46:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Conor 2005-04-30 03:32:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
As of kernel release 2.6.11-1.14 the touchpad mouse no longer functions correctly. Movement is not constant and short taps on pad are no longer registered as a "button press"

Standard issue dell inspiron 510m touchpad mouse. Mouse fuctions correctly in all previous kernel releases

Version-Release number of selected component (if applicable):
2.6.11-1.14_FC3

How reproducible:
Always

Steps to Reproduce:
1.boot into kernel 2.6.11-1.14
2.touchpad mouse will not fuction correctly!


Additional info:
Comment 1 Pete Zaitcev 2005-05-04 11:34:24 EDT
What was the last kernel version that worked?

I suspect it's the well known bug in 2.6.11.
See this: http://lkml.org/lkml/2005/2/2/174
The fix is available in 2.6.12-rc3.
Requestor, please try Rawhide (in "development/" directory) kernel
2.6.11-1.1225 or later to verify the fix.
Comment 2 Conor 2005-05-04 12:43:56 EDT
Have tested in kernel version 2.6.11-1.20_FC3 and status remains the same. (Poor
performance, taps not regisetering etc.)

- What was the last kernel version that worked?

Worked fine in 2.6.10-1.770_FC3 and all other 2.6.10 versions i have used.
Comment 3 Pete Zaitcev 2005-05-04 15:25:47 EDT
Thanks for the working version info. However, please try Rawhide kernel
at this URL:
http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/Fedora/RPMS/kernel-2.6.11-1.1284_FC4.i686.rpm
(install with rpm -i, do not use rpm -U)
Comment 4 Conor 2005-05-05 14:58:19 EDT
Thanks for the help!

Yes this kernel version rectifies the problem.
Comment 5 Pete Zaitcev 2005-05-05 17:50:15 EDT
Thanks for testing.

If we plan to rebase, this will get fixed automatically, I have to ask DaveJ
about the plan for FC3.

I'm going to keep the bug open until the fix is deployed one way or another.
Comment 7 Dave Jones 2005-05-10 15:30:16 EDT
Pete, yes we do plan to move to 2.6.12 at some point for FC3.
Comment 8 Need Real Name 2005-05-29 09:46:24 EDT
rawhide kernel fixes my issues - now have touchpad tap to click, no more
reaching for the button (finger habits are practically hardwired).  Thanks.
Comment 9 Kyle Pablo 2005-06-05 16:29:19 EDT
hello,

i have a dell i8200 and my touchpad mouse has not worked correctly following
kernel updates after 2.6.10-1.770.  my mouse is erratic and click prone...is
this bug the same as the one im dealing w/? if not should i file a new report?
Comment 10 Need Real Name 2005-06-05 17:17:55 EDT
my mouse was erratic (and almost completely unusable) with 11-14, got much more
usable (but still jumped to left edge occaisionally) with 11-27, completely
fixed with rawhide - 2.6.12-1363

IMHO, if you havent tried the rawhide, do so, and dont open a new report till
you find it doesnt work.  AHU (a humble user)

btw, you havent said what kind of mousepad is on your dell.  It might matter,
and Pete shouldnt have to look high and low for that info on Dells website.
Heres mine, from my sony VGN-a190.  try 'dmesg'.

alps.c: Enabling hardware tapping
input: PS/2 Mouse on isa0060/serio1
input: AlpsPS/2 ALPS GlidePoint on isa0060/serio1
Comment 11 Kyle Pablo 2005-06-06 15:23:51 EDT
mice: PS/2 mouse device common for all mice
input: AT Translated Set 2 keyboard on isa0060/serio0
input: PS/2 Generic Mouse on isa0060/serio1
Comment 12 Pete Zaitcev 2005-06-11 00:43:45 EDT
Kyle, please try a kernel from this URL:
 http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/Fedora/RPMS/
The 1.1284 is probably gone by now...
Comment 13 Kyle Pablo 2005-06-15 01:02:34 EDT
hello,

i upgraded to fc4 and the problem persist....its also noted on 153201
Comment 14 Kyle Pablo 2005-06-16 22:12:42 EDT
hello,

i added psmouse.proto=exps
 to my grub.conf file and that fixed the problem for my alps touchpad on fc4.

Kyle
Comment 15 Dave Jones 2005-07-15 16:03:58 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 16 Need Real Name 2005-07-15 17:55:00 EDT
1372 works for me, on sony vaio.

input: AT Translated Set 2 keyboard on isa0060/serio0
alps.c: Enabling hardware tapping
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
input: PS/2 Mouse on isa0060/serio1
input: AlpsPS/2 ALPS GlidePoint on isa0060/serio1

Im stepping back from fc4 kernel on fc3 installation, 
which has served me in the meantime.  thanks.
Comment 17 Kyle Pablo 2005-07-16 19:59:49 EDT
iv been following this since i upgraded to fc4 and i am still having the same
issue...as stated above in a previous comment, i had to add 'psmouse.proto=exps'
in grub.conf...im running 2.6.12-1.1398_FC4.  all previous kernels have given me
the same problem...the touchpad is too sensative..
Comment 18 Dave Jones 2005-10-02 20:46:20 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.